Bug 43442 - [Qt] QtWebKit does not link on Windows CE 6 due to sqlite3 problem
: [Qt] QtWebKit does not link on Windows CE 6 due to sqlite3 problem
Status: RESOLVED FIXED
: WebKit
WebKit Qt
: 528+ (Nightly build)
: Other Other
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-08-03 13:35 PST by
Modified: 2010-09-07 01:29 PST (History)


Attachments
fix #1 (447 bytes, patch)
2010-08-06 01:44 PST, Joerg Bornemann
eric: review-
Review Patch | Details | Formatted Diff | Diff
fix #2 (871 bytes, patch)
2010-08-11 05:20 PST, Joerg Bornemann
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-08-03 13:35:49 PST
QtWebKit does not link on Windows CE 6 due to sqlite3 problem
This affects Qt 4.6.3 and above.

The exact linker error is:
sqlite3.obj : error LNK2019: unresolved external symbol localtime_s referenced in function localtimeOffset

The function localtime_s doesn't exist in the WinCE 6 MSVCRT.

To fix this, we could just add a
    wince*:DEFINES += HAVE_LOCALTIME_S=0
to WebKit.pro in the sqlite scope.

This is even ok for WinCE 5.
------- Comment #1 From 2010-08-03 13:37:08 PST -------
The corresponding Qt issue is http://bugreports.qt.nokia.com/browse/QTBUG-5120
------- Comment #2 From 2010-08-06 01:44:24 PST -------
Created an attachment (id=63705) [details]
fix #1

fixes the linker error by defining HAVE_LOCALTIME_S=0 in WebCore.pro
------- Comment #3 From 2010-08-06 14:13:23 PST -------
(From update of attachment 63705 [details])
Every patch requires a ChangeLog.  This one is also not made from a WebKit checkout.
------- Comment #4 From 2010-08-11 05:20:41 PST -------
Created an attachment (id=64101) [details]
fix #2

attempt #2. Now diffing from WebKit checkout and with ChangeLog.
------- Comment #5 From 2010-09-07 01:07:42 PST -------
(From update of attachment 64101 [details])
Asking the cq to land it.
------- Comment #6 From 2010-09-07 01:29:16 PST -------
(From update of attachment 64101 [details])
Clearing flags on attachment: 64101

Committed r66865: <http://trac.webkit.org/changeset/66865>
------- Comment #7 From 2010-09-07 01:29:20 PST -------
All reviewed patches have been landed.  Closing bug.